Skip to main content
GET
/
crypto
/
rpc
/
networks
List supported crypto RPC networks
curl --request GET \
  --url https://api.venice.ai/api/v1/crypto/rpc/networks
import requests

url = "https://api.venice.ai/api/v1/crypto/rpc/networks"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.venice.ai/api/v1/crypto/rpc/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "networks": [
    "arbitrum-mainnet",
    "arbitrum-sepolia",
    "avalanche-fuji",
    "avalanche-mainnet",
    "base-mainnet",
    "base-sepolia",
    "bsc-mainnet",
    "bsc-testnet",
    "ethereum-holesky",
    "ethereum-mainnet",
    "ethereum-sepolia",
    "linea-mainnet",
    "linea-sepolia",
    "optimism-mainnet",
    "optimism-sepolia",
    "polygon-amoy",
    "polygon-mainnet",
    "starknet-mainnet",
    "starknet-sepolia",
    "zksync-mainnet",
    "zksync-sepolia"
  ]
}
Returns the alphabetically sorted list of network slugs supported by the Venice crypto RPC proxy. Use this to discover which :network values are valid for POST /crypto/rpc/{network}. This endpoint is public — no API key or wallet authentication required.

Response shape

{
  "networks": [
    "arbitrum-mainnet",
    "arbitrum-sepolia",
    "avalanche-fuji",
    "avalanche-mainnet",
    "base-mainnet",
    "base-sepolia",
    "bsc-mainnet",
    "bsc-testnet",
    "ethereum-holesky",
    "ethereum-mainnet",
    "ethereum-sepolia",
    "linea-mainnet",
    "linea-sepolia",
    "optimism-mainnet",
    "optimism-sepolia",
    "polygon-amoy",
    "polygon-mainnet",
    "starknet-mainnet",
    "starknet-sepolia",
    "zksync-mainnet",
    "zksync-sepolia"
  ]
}
The list is authoritative — if a slug isn’t here, the proxy endpoint returns 400 Unsupported RPC network.

Response

200 - application/json

The list of supported network slugs.

networks
string[]
required

Sorted Venice-side network slugs.

Example:
[
"arbitrum-mainnet",
"arbitrum-sepolia",
"avalanche-fuji",
"avalanche-mainnet",
"base-mainnet",
"base-sepolia",
"bsc-mainnet",
"bsc-testnet",
"ethereum-holesky",
"ethereum-mainnet",
"ethereum-sepolia",
"linea-mainnet",
"linea-sepolia",
"optimism-mainnet",
"optimism-sepolia",
"polygon-amoy",
"polygon-mainnet",
"starknet-mainnet",
"starknet-sepolia",
"zksync-mainnet",
"zksync-sepolia"
]